=== debian/changelog ===
crawl (2:0.23.2-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Oct 2019 13:21:13 -0700

crawl (2:0.23.2-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Oct 2019 12:41:54 -0700

crawl (2:0.23.2-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.
  * Dropped compat to 11 for lower arch builds.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Oct 2019 11:31:52 -0700

crawl (2:0.23.2-1) unstable; urgency=medium

  * New upstream release
  * Update the watch file.
  * Drop no longer needed NOSSE (fixed upstream).
  * Debhelper 12.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 31 Mar 2019 23:44:55 +0200

crawl (2:0.23.1-2) unstable; urgency=medium

  * Disable forced use of sse2.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 02 Mar 2019 15:34:28 +0100

crawl (2:0.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 02 Mar 2019 10:41:33 +0100
