## crawl 0.24.0

=== source/Makefile ===
--- 
+++ 
@@ -109,6 +109,13 @@
 STDFLAG = -std=c++11
 
 CFOTHERS := -pipe $(EXTERNAL_FLAGS)
+# Build with FORCE_SSE=y to get better seed stability on 32 bit x86 builds. It
+# is not recommended to do this unless you are building with contrib lua.
+# On any 64bit  builds where the arch supports it, (at least) sse2 is implied.
+ifdef FORCE_SSE
+CFOTHERS += -mfpmath=sse -msse2
+endif
+
 CFWARN := 
 CFWARN_L := -Wall -Wformat-security -Wundef
 
@@ -167,7 +174,7 @@
 
 ifdef CROSSHOST
 	ARCH := $(CROSSHOST)
-	ifneq (,$($shell which $(ARCH)-pkg-config 2>/dev/null))
+	ifneq (,$(shell which $(ARCH)-pkg-config 2>/dev/null))
 	  PKGCONFIG = $(ARCH)-pkg-config
 	else
 	  ifneq (,$(wildcard /usr/$(ARCH)/lib/pkgconfig))
@@ -254,10 +261,17 @@
 endif
 
 ifdef BUILD_ALL
-	BUILD_FREETYPE = YesPlease
+	ifdef TILES
+		BUILD_FREETYPE = YesPlease
+		BUILD_SDL2 = YesPlease
+		BUILD_SDL2IMAGE = YesPlease
+		BUILD_LIBPNG = YesPlease
+	endif
+	ifdef WEBTILES
+		BUILD_LIBPNG = YesPlease
+	endif
+
 	BUILD_PCRE = YesPlease
-	BUILD_SDL2 = YesPlease
-	BUILD_SDL2IMAGE = YesPlease
 	ifdef SOUND
 		ifndef WIN32 
 			BUILD_SDL2MIXER = YesPlease
@@ -265,7 +279,6 @@
 	endif
 	BUILD_SQLITE = YesPlease
 	BUILD_LUA = YesPlease
-	BUILD_LIBPNG = YesPlease
 	BUILD_ZLIB = YesPlease
 endif
 
@@ -401,21 +414,3 @@
 # SAVEDIR := saves/
 # DATADIR := data/
 ifneq (,$(FHS))
-DATADIR       := share/crawl
-SAVEDIR       := ~/.crawl
-endif
-
-ifneq ($(patsubst /opt%,%,$(prefix)),$(prefix))
-DATADIR := data
-SAVEDIR := ~/.crawl
-endif
-
-
-INCLUDES_L += -Iutil -I.
-
-ifdef APPLE_PLATFORM
-
-ifdef BUILD_UNIVERSAL
-# [ds] 10.4 SDK g++-4.0 + x86_64 runs into SDL compile issues.
-CFLAGS_ARCH := -arch i386 -arch ppc -faltivec
-CFLAGS_DEPCC_ARCH := -arch i386
