=== debian/changelog ===
crawl (2:0.24.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 31 Oct 2019 12:48:44 -0700

crawl (2:0.24.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 31 Oct 2019 12:14:16 -0700

crawl (2:0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Update the watch file.
  * Use python3; closes: #942923.
  * Fix bogus SQLITE_INCLUDE_DIR; a step towards #871419.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 25 Oct 2019 00:06:10 +0200
