=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends: debhelper (>= 11), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
-	libfreetype6-dev, libpng-dev, python-yaml
+	libfreetype6-dev, libpng-dev, python3-yaml
 Build-Depends-Indep: moreutils, advancecomp
 Homepage: http://crawl.develz.org/
 Rules-Requires-Root: no
