## crawl 0.25.0

=== source/Makefile ===
--- 
+++ 
@@ -47,6 +47,7 @@
 #    USE_ICC       -- set to use Intel's compiler
 #    LTO           -- set for better optimization but slower compilation,
 #                     requires gcc4.6+
+#    NO_TRY_LLD    -- if set don't try to detect a working lld linker
 #    NO_TRY_GOLD   -- if set don't try to detect a working gold linker
 #    NOASSERTS     -- set to disable assertion checks (ignored in debug mode)
 #    NOWIZARD      -- set to disable wizard mode.  Use if you have untrusted
@@ -82,9 +83,11 @@
 .SUFFIXES:       # ... so zap the suffix list to neutralize most predifined rules, too
 
 .PHONY: all test install clean clean-contrib clean-rltiles clean-android \
+        clean-catch2 clean-plug-and-play-tests \
+		clean-coverage clean-coverage-full \
         distclean debug debug-lite profile package-source source \
-        build-windows package-windows docs greet api api-dev android FORCE \
-	monster
+        build-windows package-windows-installer docs greet api api-dev android FORCE \
+        monster catch2-tests plug-and-play-tests
 
 include Makefile.obj
 
@@ -116,8 +119,20 @@
 CFOTHERS += -mfpmath=sse -msse2
 endif
 
-CFWARN := 
+CFWARN :=
 CFWARN_L := -Wall -Wformat-security -Wundef
+
+# Exceptions:
+#  -Wmissing-field-initializers: need c++14 to set default struct fields
+#  -Wimplicit-fallthrough: need c++17 for [[fallthrough]]
+#  -Wtype-limits: mostly complains about ASSERT_RANGE, and _Pragma is buggy on
+#      old g++ anyway: re-enable when we bump the minimum g++ version
+#  -Wuninitialized: added later in this makefile, conditional on NO_OPTIMIZE
+CFWARN_L += -Wextra \
+	    -Wno-missing-field-initializers \
+	    -Wno-implicit-fallthrough \
+	    -Wno-type-limits \
+	    -Wno-uninitialized \
 
 DEFINES := $(EXTERNAL_DEFINES)
 
@@ -136,6 +151,7 @@
 COPY = cp
 COPY_R = cp -r
 STRIP = strip -s
+SED = sed
 WINDRES = windres
 CHMOD = chmod 2>/dev/null
 CHOWN = chown 2>/dev/null
@@ -147,6 +163,11 @@
 DOXYGEN_SIMPLE_CONF = crawl_simple.doxy
 DOXYGEN_ALL_CONF = crawl_all.doxy
 DOXYGEN_HTML_GEN = html/
+# Prefer python3, if available
+PYTHON = python
+ifneq (, $(shell which python3 2>&1))
+	PYTHON = python3
+endif
 
 export AR
 export RANLIB
@@ -164,10 +185,6 @@
 #
 uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
 uname_M := $(shell sh -c 'uname -m 2>/dev/null || echo not')
-uname_O := $(shell sh -c 'uname -o 2>/dev/null || echo not')
-uname_R := $(shell sh -c 'uname -r 2>/dev/null || echo not')
-uname_P := $(shell sh -c 'uname -p 2>/dev/null || echo not')
-uname_V := $(shell sh -c 'uname -v 2>/dev/null || echo not')
 
 HOST := $(shell sh -c 'cc -dumpmachine || echo unknown')
 ARCH := $(HOST)
@@ -208,7 +225,6 @@
 	GAME = crawl.exe
 	bin_prefix = .
 	WIN32 = Yes
-	NO_RDYNAMIC = YesPlease
 	NO_NCURSES = YesPlease
 	NEED_LIBW32C = YesPlease
 	BUILD_PCRE = YesPlease
@@ -241,7 +257,7 @@
 		BUILD_SDL2 = YesPlease
 		BUILD_SDL2IMAGE = YesPlease
 		ifdef SOUND
-			ifndef WIN32 
+			ifndef WIN32
 				BUILD_SDL2MIXER = YesPlease
 			endif
 		endif
@@ -249,12 +265,8 @@
 		COPY_FONTS = yes
 	endif
 endif
-ifdef USE_ICC
-	NO_RDYNAMIC := YesPlease
-endif
 ifneq (,$(findstring CYGWIN,$(uname_S)))
 	GAME = crawl.exe
-	NO_RDYNAMIC = YesPlease
 	BUILD_PCRE = YesPlease
 	# newlib doesn't provide Posix functions with c++11
 	STDFLAG = -std=gnu++11
@@ -273,7 +285,7 @@
 
 	BUILD_PCRE = YesPlease
 	ifdef SOUND
-		ifndef WIN32 
+		ifndef WIN32
 			BUILD_SDL2MIXER = YesPlease
 		endif
 	endif
@@ -299,28 +311,6 @@
 endif
 LIBZ := contrib/install/$(ARCH)/lib/libz.a
 
-ifndef CROSSHOST
-	# FreeBSD keeps all of its userland includes in /usr/local so
-	# look there
-	ifeq ($(uname_S),FreeBSD)
-		SQLITE_INCLUDE_DIR := /usr/local/include
-	else
-		SQLITE_INCLUDE_DIR := /usr/include
-	endif
-else
-	# This is totally wrong, works only with some old-style setups, and
-	# on some architectures of Debian/new FHS multiarch -- excluding, for
-	# example, i386.  Fortunately, i386 is rarely cross-compiled to.
-	# There's no support for /usr/local/ too, without thorough handholding.
-	# It's still an improvement over Crawl 0.8 which had no cross-compiling
-	# to non-win32 at all.
-	#
-	# Needs to be replaced by compile checks.  Guessing the paths is fragile,
-	# while the compiler knows them already.
-	SQLITE_INCLUDE_DIR := /usr/$(ARCH)/include
-endif
-SQLITE_LIB := -lsqlite3
-
 #
 # Set up the TILES variant
 #
@@ -372,12 +362,6 @@
 endif
 endif
 
-# To get stack trace symbols.
-# Note that MinGW doesn't support -rdynamic.
-ifndef NO_RDYNAMIC
-LDFLAGS += -rdynamic
-endif
-
 ifdef USE_MERGE_BASE
 MERGE_BASE := $(shell git merge-base HEAD $(USE_MERGE_BASE))
 endif
@@ -414,3 +398,23 @@
 # SAVEDIR := saves/
 # DATADIR := data/
 ifneq (,$(FHS))
+DATADIR       := share/crawl
+SAVEDIR       := ~/.crawl
+endif
+
+ifneq ($(patsubst /opt%,%,$(prefix)),$(prefix))
+DATADIR := data
+SAVEDIR := ~/.crawl
+endif
+
+
+INCLUDES_L += -Iutil -I.
+
+ifdef APPLE_PLATFORM
+
+ifdef BUILD_UNIVERSAL
+# [ds] 10.4 SDK g++-4.0 + x86_64 runs into SDL compile issues.
+CFLAGS_ARCH := -arch i386 -arch ppc -faltivec
+CFLAGS_DEPCC_ARCH := -arch i386
+NO_INLINE_DEPGEN := YesPlease
+else
