=== debian/changelog ===
crawl (2:0.25.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes CVE-2020-11722; closes: #958232.
  * Clean up MacOS droppings.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 13 Jul 2020 17:30:36 +0200
