## crawl 0.25.1

=== debian/changelog ===
crawl (2:0.25.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 26 Jul 2020 19:41:38 -0700
