## crawl 0.26.0

=== debian/changelog ===
crawl (2:0.26.0-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 09 Jan 2021 06:49:04 +0100

crawl (2:0.25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 31 Aug 2020 11:25:50 +0200
