## crawl 0.26.1

=== source/Makefile ===
--- 
+++ 
@@ -248,21 +248,27 @@
 	STRIP := strip -x
 	NEED_APPKIT = YesPlease
 	LIBNCURSES_IS_UNICODE = Yes
-	NO_PKGCONFIG = Yes
-	BUILD_SQLITE = YesPlease
-	BUILD_ZLIB = YesPlease
 	ifdef TILES
-		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL -framework AudioToolbox -framework CoreVideo contrib/install/$(ARCH)/lib/libSDL2main.a
-		BUILD_FREETYPE = YesPlease
-		BUILD_SDL2 = YesPlease
-		BUILD_SDL2IMAGE = YesPlease
-		ifdef SOUND
-			ifndef WIN32
-				BUILD_SDL2MIXER = YesPlease
+		EXTRA_LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL -framework AudioToolbox -framework CoreVideo
+		COPY_FONTS = yes
+	endif
+	ifndef FORCE_PKGCONFIG
+		NO_PKGCONFIG = Yes
+		# is any of this stuff actually needed if NO_PKGCONFIG is set?
+		BUILD_SQLITE = YesPlease
+		BUILD_ZLIB = YesPlease
+		ifdef TILES
+			EXTRA_LIBS += contrib/install/$(ARCH)/lib/libSDL2main.a
+			BUILD_FREETYPE = YesPlease
+			BUILD_SDL2 = YesPlease
+			BUILD_SDL2IMAGE = YesPlease
+			ifdef SOUND
+				ifndef WIN32
+					BUILD_SDL2MIXER = YesPlease
+				endif
 			endif
+			BUILD_LIBPNG = YesPlease
 		endif
-		BUILD_LIBPNG = YesPlease
-		COPY_FONTS = yes
 	endif
 endif
 ifneq (,$(findstring CYGWIN,$(uname_S)))
@@ -413,8 +419,3 @@
 ifdef APPLE_PLATFORM
 
 ifdef BUILD_UNIVERSAL
-# [ds] 10.4 SDK g++-4.0 + x86_64 runs into SDL compile issues.
-CFLAGS_ARCH := -arch i386 -arch ppc -faltivec
-CFLAGS_DEPCC_ARCH := -arch i386
-NO_INLINE_DEPGEN := YesPlease
-else
