=== debian/changelog ===
crawl (2:0.26.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 05 Feb 2021 16:46:19 +0100
