=== debian/rules ===
--- 
+++ 
@@ -84,6 +84,7 @@
 	rm -rf build-console build-tiles
 
 	git clean -dfX || true
+	find -name '._*' -execdir rm '{}' +
 
 	dh_clean
 
@@ -153,7 +154,7 @@
 	dh_installmenu -a
 	dh_link -a
 	dh_compress -a -Xaptitudes.txt
-	dh_strip -a --no-automatic-dbgsym
+	dh_strip -a
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a -- --ignore-missing-info
@@ -164,5 +165,3 @@
 build: build-indep build-arch
 binary: binary-indep binary-arch
 .PHONY: build-indep build-arch build clean binary-indep binary-arch binary install
-
-
