## crawl 0.27.1

=== debian/changelog ===
crawl (2:0.27.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 15 Sep 2021 23:33:46 +0200

crawl (2:0.27.0-1) unstable; urgency=medium

  * New upstream release.
  * Use the new location of the SVG icon.
  * Drop ancient conflicts+replaces.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 14 Aug 2021 15:57:46 +0200
