=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 12), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
+Build-Depends: debhelper-compat (= 13), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
 	libfreetype6-dev, libpng-dev, python3-yaml
 Build-Depends-Indep: moreutils, advancecomp
@@ -41,8 +41,6 @@
 Package: crawl-tiles-data
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version})
-Conflicts: crawl-tiles (<< 2:0.11.1-1)
-Replaces: crawl-tiles (<< 2:0.11.1-1)
 Recommends: crawl-tiles
 Description: Dungeon Crawl, a text-based roguelike game (tile data files)
  Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
