## crawl 0.28.0

=== source/Makefile ===
--- 
+++ 
@@ -66,6 +66,20 @@
 #    ANDROID       -- perform an Android build (see docs/develop/android.txt)
 #    TOUCH_UI      -- enable UI behaviour more compatible with touch-screens
 #
+# For various mac build tricks oriented at release builds see the various
+# mac-app-* targets as well as the crawl-universal target. (For normal dev
+# circumstances, none of this is needed.)
+#
+# There are a number of #defines that may be useful for downstream packaging
+# or custom server setups. See AppHdr.h for more details. Of note:
+#
+#    VERSIONED_CACHE_DIR -- use a cache dir per version, rather than a shared
+#                           cache dir across versions. This may be useful for
+#                           reproducible builds, since the shared cache
+#                           directory makes use of mtimes.
+#
+# To set defines from the command line while building, use EXTERNAL_DEFINES.
+# E.g.: make EXTERNAL_DEFINES="-DVERSIONED_CACHE_DIR"
 #
 # Requirements:
 #    For tile builds, you need pkg-config.
@@ -74,7 +88,12 @@
 #    them; you can also ask for a package with convenience libraries instead --
 #    we'll try to provide them somewhere in the near future.
 
-GAME = crawl
+# allow overriding GAME at the command line, intended for downstream packaging
+# processes. Not supported for MSYS2/cygwin builds, and will be overridden for
+# mac universal builds. This does not count as a change in build flags.
+ifndef GAME
+	GAME = crawl
+endif
 
 # Disable GNU Make implicit rules and variables. Leaving them enabled will slow
 # down MinGW and Cygwin builds by a very VERY noticeable degree. Besides, we have
@@ -87,7 +106,8 @@
 		clean-coverage clean-coverage-full \
         distclean debug debug-lite profile package-source source \
         build-windows package-windows-installer docs greet api api-dev android FORCE \
-        monster catch2-tests plug-and-play-tests
+        monster catch2-tests plug-and-play-tests \
+        crawl-universal crawl-arm64-apple-macos11 crawl-x86_64-apple-macos10.7 clean-mac
 
 include Makefile.obj
 
@@ -245,6 +265,12 @@
 	endif
 endif
 ifeq ($(uname_S),Darwin)
+ifdef MAC_TARGET
+	# for reasons I really cannot figure out, setting GAME later (when the
+	# other MAC_TARGET checks are done) really does not work.
+	GAME = crawl-$(MAC_TARGET)
+endif
+
 	STRIP := strip -x
 	NEED_APPKIT = YesPlease
 	LIBNCURSES_IS_UNICODE = Yes
@@ -353,69 +379,3 @@
 
 
 ifdef WIN32
-EXTRA_OBJECTS += icon.o
-else
-ifndef ANDROID
-EXTRA_LIBS += -pthread
-endif
-endif
-
-ifndef TILES
-ifdef NEED_LIBW32C
-OBJECTS += libw32c.o
-else
-OBJECTS += libunix.o
-endif
-endif
-
-ifdef USE_MERGE_BASE
-MERGE_BASE := $(shell git merge-base HEAD $(USE_MERGE_BASE))
-endif
-
-ifdef USE_DGAMELAUNCH
-# Permissions to set on the game executable.
-MCHMOD := 755
-
-# Permissions to set on the save directory.
-MCHMOD_SAVEDIR := 775
-MCHMOD_LOGS := 664
-
-# The user:group to install the game as.
-INSTALL_UGRP := games:games
-endif
-
-ifeq ($(patsubst %/local,%,$(patsubst %/,%,$(prefix))),/usr)
-FHS := yes
-endif
-
-ifeq (,$(bin_prefix))
-ifneq ($(patsubst %/,%,$(prefix)),/usr)
-bin_prefix    := bin
-else
-bin_prefix    := games
-endif
-endif
-
-# If you're installing Crawl for multiple users, you *must* set this to a
-# valid path before building Crawl. This is not necessary if you are building
-# Crawl for a single user.
-# If you're installing to /usr, /usr/local or /opt, we have sane defaults.
-
-# SAVEDIR := saves/
-# DATADIR := data/
-ifneq (,$(FHS))
-DATADIR       := share/crawl
-SAVEDIR       := ~/.crawl
-endif
-
-ifneq ($(patsubst /opt%,%,$(prefix)),$(prefix))
-DATADIR := data
-SAVEDIR := ~/.crawl
-endif
-
-
-INCLUDES_L += -Iutil -I.
-
-ifdef APPLE_PLATFORM
-
-ifdef BUILD_UNIVERSAL
