=== source/webserver/Makefile ===
lint:
	flake8 --mypy-config=mypy.ini *.py


format:
	isort --check-only --recursive .


.PHONY: lint format
