=== debian/changelog ===
crawl (2:0.28.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libglu-dev to build deps (Closes: #1022308)

 -- Paul Wise <pabs@debian.org>  Wed, 07 Dec 2022 10:11:32 +0800

crawl (2:0.28.0-1) unstable; urgency=medium

  * Team upload.
  * Drop myself from uploaders.
  * New upstream release.
  * Point the watch file to Github releases.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 Feb 2022 00:12:07 +0100
