=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: games
 Priority: optional
 Maintainer: Guus Sliepen <guus@debian.org>
-Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
-Standards-Version: 4.5.1
+Uploaders: Trent W. Buck <trentbuck@gmail.com>
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-dev, libsqlite3-dev,
-	libfreetype6-dev, libpng-dev, python3-yaml
+	libfreetype6-dev, libpng-dev, python3-yaml, libglu-dev
 Build-Depends-Indep: moreutils, advancecomp
 Homepage: http://crawl.develz.org/
 Rules-Requires-Root: no
