## crawl 0.30.0

=== debian/changelog ===
crawl (2:0.30.0-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 25 May 2023 06:23:51 -0700
