=== debian/changelog ===
crawl (2:0.30.1-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 11 Nov 2023 12:40:09 -0800
