## crawl 0.32.1

=== debian/changelog ===
crawl (2:0.32.1-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 18 Oct 2024 09:22:23 -0700
