## crawl 0.33.0

=== debian/changelog ===
crawl (2:0.33.0-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 May 2025 20:41:14 -0700
