=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: crawl
 Section: games
 Priority: optional
-Maintainer: Guus Sliepen <guus@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
