=== debian/rules ===
--- 
+++ 
@@ -154,7 +154,7 @@
 	dh_installmenu -a
 	dh_link -a
 	dh_compress -a -Xaptitudes.txt
-	dh_strip -a
+	dh_strip -a --no-automatic-dbgsym
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a -- --ignore-missing-info
